package com.chenyang.nse.bussiness.service.core.impl;

import com.chenyang.nse.bussiness.dao.core.CoreDao;
import com.chenyang.nse.bussiness.service.core.CoreService;
import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CoreServiceImpl implements CoreService {
   @Autowired
   private CoreDao coreDao;

   public List<Map> datasystemreport() {
      List<Map> list = this.coreDao.dataSystemReport();
      return list;
   }

   public List<Map> sensitivedatareport() {
      List<Map> list = this.coreDao.sensitiveDataReport();
      return list;
   }

   public List<Map> maskingrulereport() {
      List<Map> list = this.coreDao.maskingRuleReport();
      return list;
   }

   public Map maskingefficiencyreport() {
      Map map = this.coreDao.maskingEfficiencyReport();
      return map;
   }
}
